package com.ym.mec.collectfee.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 对应数据库表(apply_info):
 */
public class ApplyInfo {

	/**  */
	private Integer id;
	
	/** 学生姓名 */
	private String name;
	
	/** 性别0男1女 */
	private Integer sex;
	
	/** 生日 */
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private java.util.Date birthday;
	
	/** 城市 */
	private String city;
	
	/** 学校编号 */
	private String school;
	
	/** 年级 */
	private String grade;
	
	/** 班级 */
	private String gClass;
	
	/** 科目id */
	private Integer subId;
	
	/** 是否服从调剂 0 否 1是 */
	private Integer isAdjust;
	
	/** 家长手机号 */
	private String patriarchPhone;
	
	/** 家长姓名 */
	private String patriarchName;
	
	/** 家长工作单位 */
	private String patriarchUnit;
	
	/** 0报名中，1报名完成，2报名失败 */
	private Integer status;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setSex(Integer sex){
		this.sex = sex;
	}
	
	public Integer getSex(){
		return this.sex;
	}
			
	public void setBirthday(java.util.Date birthday){
		this.birthday = birthday;
	}
	
	public java.util.Date getBirthday(){
		return this.birthday;
	}
			
	public void setCity(String city){
		this.city = city;
	}
	
	public String getCity(){
		return this.city;
	}
			
	public void setSchool(String school){
		this.school = school;
	}
	
	public String getSchool(){
		return this.school;
	}
			
	public void setGrade(String grade){
		this.grade = grade;
	}
	
	public String getGrade(){
		return this.grade;
	}
			
	public void setGClass(String gClass){
		this.gClass = gClass;
	}
	
	public String getGClass(){
		return this.gClass;
	}
			
	public void setSubId(Integer subId){
		this.subId = subId;
	}
	
	public Integer getSubId(){
		return this.subId;
	}
			
	public void setIsAdjust(Integer isAdjust){
		this.isAdjust = isAdjust;
	}
	
	public Integer getIsAdjust(){
		return this.isAdjust;
	}
			
	public void setPatriarchPhone(String patriarchPhone){
		this.patriarchPhone = patriarchPhone;
	}
	
	public String getPatriarchPhone(){
		return this.patriarchPhone;
	}
			
	public void setPatriarchName(String patriarchName){
		this.patriarchName = patriarchName;
	}
	
	public String getPatriarchName(){
		return this.patriarchName;
	}
			
	public void setPatriarchUnit(String patriarchUnit){
		this.patriarchUnit = patriarchUnit;
	}
	
	public String getPatriarchUnit(){
		return this.patriarchUnit;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
